mpich (4.1.1.0-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 31 Mar 2023 09:43:31 +0100

mpich (4.1.1a1+really.4.1-1) experimental; urgency=medium

  * New upstream release
  * Drop superfluous d/copyright entries

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Mar 2023 10:16:31 +0000

mpich (4.1.1a1+really.4.1~rc1-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Jan 2023 12:18:28 +0000

mpich (4.1.1a1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 May 2022 16:48:32 +0100

mpich (4.0.2-2) unstable; urgency=medium

  * Disable pmix ; not fixed yet. Closes: #1009782

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Apr 2022 08:52:56 +0100

mpich (4.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Apr 2022 16:28:55 +0100

mpich (4.0.1-1) unstable; urgency=medium

  [ Alastair McKinstry ]
  * New upstream release
  * Re-enable ucx for testing (pmix appears still broken)

  [ Andread Beckmann ]
  * libmpich12: Add Breaks: libmpich1.0-dev (<< 3) which provided libmpich-dev
    causing the old package using the ancient alternatives scheme to be kept
    installed on some upgrade paths.
  * mpich: Add Breaks+Replaces: libmpich1.0-dev (<< 3) since some files got
    moved around.  (Closes: #992065)

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 27 Feb 2022 13:23:08 +0000

mpich (4.0-3) unstable; urgency=medium

  * Disable pmix. Closes: #1004556

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Feb 2022 19:38:06 +0000

mpich (4.0-2) unstable; urgency=medium

  * Temporarily disable ucx; problem with mpich/ucx/pmix to debug.
    Closes: #1004556
  * mpich-4 works with  autoconf2.7.0. Closes: #978867	

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Feb 2022 11:57:20 +0000

mpich (4.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 22 Jan 2022 11:04:56 +0000

mpich (4.0~rc3-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 15 Jan 2022 14:37:47 +0000

mpich (4.0~rc1-1) experimental; urgency=medium

  * Don't build against libslurm-dev on hurd, kfreebsd
  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Dec 2021 11:58:32 +0000

mpich (4.0~b1-4) experimental; urgency=medium

  * Add powerpc sh4 x32 to the archs we don't use libfabric on
  * Don't pull librdmacm-dev on hurd, kfreebsd

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 04 Dec 2021 14:23:22 +0000

mpich (4.0~b1-3) experimental; urgency=medium

  * Only enable pmix in conjunction with ch4

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Dec 2021 10:06:25 +0000

mpich (4.0~b1-2) unstable; urgency=medium

  * Enable ch4
  * Enable UCX, adding dep on libucx-dev on archs
  * Enable pmix, including build-dep on libpmix-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 Dec 2021 12:48:05 +0000

mpich (4.0~b1-1) experimental; urgency=medium

  * Support gcc/gfortran 11. Closes: #984242
  * Standards-Version: 4.6.0
  * New upstream release
  * Re-enable docs

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Nov 2021 10:12:38 +0100

mpich (4.0~a2-2) experimental; urgency=medium

  * Add build-dep on libhwloc-dev.
  * Fix d/watc regex to handle alpha versions

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Jul 2021 16:23:24 +0100

mpich (4.0~a2-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Jun 2021 08:25:20 +0100

mpich (4.0~a1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Mar 2021 10:20:15 +0000

mpich (3.4.1-4) unstable; urgency=medium

  * libmpich-dev: Fix maintainer script generation to restore missing
    alternatives.  (Closes: #986599)
  * mpich: Do not install symlinks or alternatives to missing manpages or
    pkgconfig files.  (Closes: #985394)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Apr 2021 22:10:11 +0200

mpich (3.4.1-3) unstable; urgency=medium

  * Disable ch4/ ofi. Closes: #982173

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Feb 2021 09:38:00 +0000

mpich (3.4.1-2) unstable; urgency=medium

  * Don't use ch4 on s390x arch. Closes: #981342

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Feb 2021 16:08:32 +0000

mpich (3.4.1-1) unstable; urgency=medium

  * New upstream release
    - json-c files no longer shipped in libmpich-dev
  * Add slurm support

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Jan 2021 08:37:31 +0000

mpich (3.4-5) unstable; urgency=medium

  * Temporarily build without ucx to enable transitions
  * Don't use ch4 on i386, mips64el - doesn't build

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 23 Jan 2021 13:55:51 +0000

mpich (3.4-4) unstable; urgency=medium

  * Inverted conditional : ensure ucx used on 64-bit only

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Jan 2021 07:18:23 +0000

mpich (3.4-3) unstable; urgency=medium

  * Build-depend on lifabric-dev, libnuma-dev where available (linux)
  * Drop pmix2  - crashes with pmix4.0.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Jan 2021 12:48:49 +0000

mpich (3.4-2) unstable; urgency=medium

  * Enable hydra2 for mpiexec
  * Add build-dep on python3
  * Undo mpich12->mpich13 naming; upstream didn't change soname
  * Re-install autogenerating pre/post files: dh13 doesn't subst vars there
  * Add some compile/run tests for autopkgtest

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jan 2021 12:30:17 +0000

mpich (3.4-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 06 Jan 2021 07:27:08 +0000

mpich (3.4~rc1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Dec 2020 15:34:31 +0000

mpich (3.4~b1-1) experimental; urgency=medium

  * Enable pmix
  * New upstream release
  * Set VCS-Git to point to debian/latest branch
  * Standards-Version now 4.5.1
  * Document vis.js, vis.min.js licensing. Closes: #973634
  * Update d/copyright . Closes: #956289

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Dec 2020 19:08:17 +0000

mpich (3.4~a3-1) experimental; urgency=medium

  * New upstream release
    - Move to libmpich13 : soname change
  * Patch: add missing-conf.patch - pieces needed for autogen.sh to work
  * Use debhelper 13, move autogenerated files to subst. vars
  * Don't fail on tests in experimental

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Sep 2020 17:21:40 +0100

mpich (3.4~a2+really3.3.2-1) unstable; urgency=medium

  * Upload to remove broken 3.4~a2 pkg. Closes: #954244

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Apr 2020 14:56:01 +0100

mpich (3.4~a2-3) experimental; urgency=medium

  * Increment soversion in experimental release
    (Currently not set in upstream alpha releases; this is for
     experimental only, not debian unstable)
  * Don't build ch4 devices (OFI, UCX)  on 32-bit systems
  * Drop flang builds until flang uses llvm-9

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 04 Mar 2020 19:42:50 +0000

mpich (3.4~a2-2) unstable; urgency=medium

  * Ensure binaries are deleted in examples dir

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 Mar 2020 12:34:51 +0000

mpich (3.4~a2-1) unstable; urgency=medium

  * New upstream release
  * Use dh-sequence-fortran-mod
  * Standards-Version: 4.5.0
  * Build with gfortran| fortran-compiler, test flang builds
  * Devices: explicitly build for ch3 internal device, ch4:ofi
  * Build-depend on librdmacm-dev
  * Drop preinst files ; contain obsolete fixes to alternatives
  * Drop obsolete patches

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Feb 2020 13:39:35 +0000

mpich (3.3.2-2) unstable; urgency=medium

  * Force gfortran over flang compiler for this release.
  * Ack. bug fixed in experimental release. Closes: #945933

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 Dec 2019 09:09:07 +0000

mpich (3.3.2-1) experimental; urgency=medium

  * New upstream release
  * Drop obsolete Breaks/Replaces from d/control
  * Standards-Version: 4.4.1.0
  * Fix NO_REAL128 conditional in d/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Dec 2019 12:04:44 +0000

mpich (3.3.1-2) experimental; urgency=medium

  * Test fix for FTBFS on armel, armhf,
    real128 not supported on these platforms.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 10 Sep 2019 16:40:34 +0100

mpich (3.3.1-1) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * New upstream release
  * Fix Vcs-* URLs.
  * Use debhelper-compat (=12)
  * Update patches; obsolete gcc version patches no longer needed
  * Need to use chrpath on the libs. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 29 Aug 2019 15:58:59 +0100

mpich (3.3-3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Synchronize alternatives handling with openmpi.
  * Add Breaks against openmpi and lam predating mpi-$MULTIARCH alternatives.
  * Apply patch from Ana Guerrero Lopez to remove obsolete GCC check.
    Closes: #807666, #924837

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Mar 2019 08:31:47 +0000

mpich (3.3-2) unstable; urgency=medium

  * Use dh_fortran_mod to install Fortran mod files in $fmoddir/mpich.
  * B-D on gfortran | fortran-compiler
  * Use f95, f77 aliases for Fortran compiler in d/rules
  * Standards-Version: 4.3.0
  * Update alternatives handling. Closes: #896189

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 22 Feb 2019 16:45:42 +0000

mpich (3.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 24 Nov 2018 07:14:47 +0000

mpich (3.3~rc1-2) unstable; urgency=medium

  * Build hppa, riscv64 with built-in atomics to fix test failures

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Nov 2018 10:11:45 +0000

mpich (3.3~rc1-1) unstable; urgency=medium

  * New upstream release
  * Don't ship empty directory /usr/lib/mpich in -dev package
  * Add sources for vis.min.js to d/missing-sources/vis.js

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 Nov 2018 11:57:19 +0000

mpich (3.3~b3-4) unstable; urgency=medium

  * Add mpich.preinst: check for a corrupt mpi alternatives file, and delete
    as necessary. Closes: #912523

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Nov 2018 08:55:36 +0000

mpich (3.3~b3-3) unstable; urgency=medium

  * Standards-Version: 4.2.1
  * Fix typo generating libmpich-dev.postinst file
  * Add libmpich-dev.preinst to mirror openmpi changes for M-A
  * Don't unconditionally delete mpi alternatives in libmpich-dev.prerm
  * Enable set -e in mpich.postinst
  * Drop hard-coded xz compression of tarball

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 31 Oct 2018 12:13:23 +0000

mpich (3.3~b3-2) unstable; urgency=medium

  * Standards-Version: 4.2.0
  * Use dh-fortran-mod to register, track Fortran mod files

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 30 Aug 2018 10:29:32 +0100

mpich (3.3~b3-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.5

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Jul 2018 09:07:28 +0100

mpich (3.3~b2-7) unstable; urgency=medium

  [ Alastair McKinstry ]
  * mpich.postinst: on update-alternatives, if the link is corrupt it is not
    deleted. Force delete with rm /var/lib/dpkg/alternatives/mpi

  [ Anton Gladky ]
  * Remove myself from uploaders

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 09 May 2018 14:38:18 +0100

mpich (3.3~b2-6) unstable; urgency=medium

  * mpich.postinst: undo 'set -e' so update-alternatives deletes old corrupt
    settings on failure. Closes: #897360

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 04 May 2018 16:27:29 +0100

mpich (3.3~b2-5) unstable; urgency=medium

  * Update Breaks/Replaces on mpich. Closes: #896153
  * Update mpich description for MPI-3.1. Closes: #815623
  * Fix postinst update-alternatives syntax (fails with set -e)

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Apr 2018 16:00:50 +0100

mpich (3.3~b2-4) unstable; urgency=medium

  * Fix postinst to cope with update-alternatives errors after lam4-dev
    install

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 Apr 2018 15:47:29 +0100

mpich (3.3~b2-3) unstable; urgency=medium

  * libmpich-dev now Depends on mpich. Closes: #896016
  * Move manpages from libmpich-dev to mpich
  * Update autopkgtest: change from libpmich-dev to mpich. Closes: #896082

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 Apr 2018 11:37:05 +0100

mpich (3.3~b2-2) unstable; urgency=medium

  * Define missing PATH_MAX for Hurd builds
  * Drop blcr support
  * Add full multi-arch support

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Apr 2018 19:14:42 +0100

mpich (3.3~b2-1) unstable; urgency=medium

  * Standards-Version: 4.1.4
  * Drop obsolete --parallel
  * Use internal hwloc for this release (2.0.0 needed; in experimental)
  * Drop Breaks/Replaces on libmpich1.0; not in debian archives anymore
  * Add Breaks/replaces mpich on libmpich-dev, as mpicc moved from -dev to
    mpich package

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Apr 2018 13:03:38 +0100

mpich (3.3~b1-5) experimental; urgency=medium

  * Ensure M-A placeholders are properly substituted: autogenerate files
    in ./rules. Closes: #891348

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Feb 2018 11:16:54 +0000

mpich (3.3~b1-4) experimental; urgency=medium

  * New upstream release
  * Drop --with autoconf from dh; obsolete

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Feb 2018 16:49:12 +0000

mpich (3.3~a3-3) unstable; urgency=medium

  * Add mpi-${lang}.pc pkgconfig files and alternatives. Closes: #860599
  * Point VCS to salsa.debian.org

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Jan 2018 11:32:54 +0000

mpich (3.3~a3-2) experimental; urgency=medium

  [ Alastair McKinstry ]
  * bugfix in ./rules to select atomic_primitives on armhf
  * re-enable tests for hurd in debian/rules to test
  * Fix for ADIO_SFS not defined on GNU/Hurd
  * Split alternatives into mpi and mpi-${DEB_HOST_MULTIARCH} parts;
    to enable full multiarch of libmpich-dev later
    Closes: #887614

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Jan 2018 09:48:24 +0000

mpich (3.3~a3-1) experimental; urgency=medium

  [ Alastair McKinstry ]
  * New upstream release
  * Standards-Version: 4.1.3
  * Set homepage to use https://www.mpich.org
  * Add mpi-fort.pc, mpi-c.pc, mpi-cxx.pc. Closes: #860599
  * Make some alternatives-tags multi-arch aware.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Jan 2018 16:00:59 +0000

mpich (3.3~a2-4) unstable; urgency=medium

  [Alastair McKinstry]
  * Undo romio change: doesn't fix hurd issues.
  * Push experimental changes to unstable. Closes: #871689

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 25 Sep 2017 08:49:55 +0100

mpich (3.3~a2-3) experimental; urgency=medium

  [ Alastair McKinstry ]
  * Standards-Version: 4.1.0; no changes required
  * Set Debhelper COMPAT level 10. automake, dh-autoreconf no longer needed
  * mpich-doc now marked Multi-Arch: foreign
  * Set TZ=UTC+0 during build for reproducible font sorting
  * Enable libfabric, ibverbs on appropriate archs
  * Disable romio on hurd-i386
  * Disable builtin atomics on armhf

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 24 Sep 2017 16:46:16 +0100

mpich (3.3~a2-2) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Remove gcc compiler check. Closes: #855324, #853404, #854532, #853562
  * Latest release fixes ppc64el bug. Closes: #871483

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Aug 2017 09:29:30 +0100

mpich (3.3~a2-1) experimental; urgency=medium

  [ Alastair McKinstry ]
  * [fa1de3cf] New upstream release
  * [23c9187f] Standards-Version now 3.9.8
  * [82a09e4] Enable bvlcr on armhf. Closes: #685226
  * [541bb218] Use xz compression for debian pkg
  * [fa9cef6a] Mark mpich-doc as M-A: foreign

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Jul 2017 07:33:24 +0100

mpich (3.2-7) unstable; urgency=medium

  * Team upload.
  * [0803fb4] Drop unneeded Build-Dependency on default-jdk.
  * [3174e8f] Use HTTPS in Vcs-Git.
  * [21e5360] Let libmpich-dev depend on libcr-dev also on ppc64 and powerpcspe.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 10 Aug 2016 08:49:18 +0000

mpich (3.2-6) unstable; urgency=medium

  [ Matthias Klose ]
  * [aa5adf9] libmpich-dev: Install a /usr/lib/mpich/lib symlink.
              (Closes: #811231)

 -- Anton Gladky <gladk@debian.org>  Sun, 17 Jan 2016 13:50:55 +0100

mpich (3.2-5) unstable; urgency=medium

  [ Matthias Klose ]
  * [0970d3b] Relax compiler check. (Closes: #811210)

  [ Anton Gladky ]
  * [8504985] Move manpages into subdir.
  * [e7218bb] Remove unusefull README.source
  * [e668eeb] Remove old NEWS file.

 -- Anton Gladky <gladk@debian.org>  Sat, 16 Jan 2016 22:21:15 +0100

mpich (3.2-4) unstable; urgency=medium

  * [769e1da] Remove old patch. Enable all tests.

 -- Anton Gladky <gladk@debian.org>  Mon, 04 Jan 2016 22:21:11 +0100

mpich (3.2-3) unstable; urgency=medium

  * [a2f37f3] Recover mpif77.mpich.

 -- Anton Gladky <gladk@debian.org>  Sat, 02 Jan 2016 14:46:11 +0100

mpich (3.2-2) unstable; urgency=medium

  * [9023327] Recover mpif90.mpich. (Closes: #808936)

 -- Anton Gladky <gladk@debian.org>  Fri, 25 Dec 2015 17:22:57 +0100

mpich (3.2-1) unstable; urgency=medium

  * Move from experimental to unstable

 -- Anton Gladky <gladk@debian.org>  Fri, 18 Dec 2015 21:46:54 +0100

mpich (3.2-1~exp2) experimental; urgency=medium

  * [f9dc45e] Fix build of indep-binaries only. (Closes: #806080)

 -- Anton Gladky <gladk@debian.org>  Wed, 16 Dec 2015 23:34:12 +0100

mpich (3.2-1~exp1) experimental; urgency=medium

  [ Torquil Macdonald Sørensen ]
  * New upstream release. (Closes: #807318, #807666)
  * Set MPILIBNAME to keep old soname
  * Drop transitional packages for MPICH2
  * Drop libmpl*/libopa* since they are now only symlinks to files in libmpich*
  * Remove ARMCI section from debian/copyright since ARMCI is no longer in MPICH
  * Bump standards version to 3.9.6.0
  * Remove versioned mpich2-doc from mpich-doc Conflicts
  * Replace versioned libmpich2-dev Conflicts by Breaks and Replaces in package
    libmpich-dev
  * Remove versioned mpich2 from mpich Conflicts
  * Man page updates
  * Add libmpl1/libopa1 to Breaks/Replaces for libmpich12, since it replaces
    those
  * Include upstream manual page mpif77.1 and provide symlink for mpif90.mpich.1
  * Include hydra* manual pages
  * Add parkill manual page

  [ Anton Gladky ]
  * Apply cme fix dpkg-control
  * Cosmetic changes

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Dec 2015 22:15:03 +0100

mpich (3.1-6) unstable; urgency=medium

  * Rebuild against gcc/gfortran5 for transition. Add dependency on latest
    gfortran.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Aug 2015 08:33:28 +0100

mpich (3.1-5) unstable; urgency=medium

  [ Anton Gladky ]
  * Add mpi.pc alternative. (Closes: #752786)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 Oct 2014 14:28:24 +0100

mpich (3.1-4) unstable; urgency=medium

  * [c3e3398] Disable test_primitives, which is unreliable on some platforms.
              (Closes: #743047)
  * [265a699] Add minimal autotest.

 -- Anton Gladky <gladk@debian.org>  Tue, 01 Apr 2014 20:24:20 +0200

mpich (3.1-3) unstable; urgency=medium

  * [5b62bf1] Separate mpl and opa from mpich. (Closes: #742941)

 -- Anton Gladky <gladk@debian.org>  Sat, 29 Mar 2014 20:07:29 +0100

mpich (3.1-2) unstable; urgency=medium

  [ Anton Gladky ]
  * [84ebc17] Update copyright-file, use DEP-5. (Closes: #742782)
  * [4f1b5db] Set Standards-Version: 3.9.5. No changes.

  [ Dimitri John Ledkov ]
  * [f52d751] Autoreconf all subprojects.

 -- Anton Gladky <gladk@debian.org>  Thu, 27 Mar 2014 21:03:57 +0100

mpich (3.1-1) unstable; urgency=medium

  * [af581fb] Imported Upstream version 3.1
  * [0c97462] Ignore quilt dir
  * [966748e] Remove old patches.
  * [be2c8a6] Add build-dep libcr-dev for powerpcspe. (Closes: #731645)
  * [6d41433] Update so-number.
  * [a21b1a4] Disable smpd-build.

 -- Anton Gladky <gladk@debian.org>  Sun, 16 Mar 2014 14:39:50 +0100

mpich (3.0.4-6) unstable; urgency=low

  [ Torquil Macdonald Sørensen ]
  * [f635e5e] Removed valgrind from Build-Depends on armel architecture.
    (Closes: #729140)

  [ Anton Gladky ]
  * [33add7a] Add --disable-wrapper-rpath to escape RPATH-setting.
    Thanks to Nicholas Breen <nbreen@debian.org>. (Closes: #724864)

 -- Anton Gladky <gladk@debian.org>  Sun, 24 Nov 2013 21:59:37 +0100

mpich (3.0.4-5) unstable; urgency=low

  * [95eabf3] Remove conflicts/replaces in libmpich10.
  * [d2df217] Disable auto-test on hurd-i386.

 -- Anton Gladky <gladk@debian.org>  Wed, 02 Oct 2013 21:37:01 +0200

mpich (3.0.4-4) unstable; urgency=low

  * [418fc26] Disable LL/SC ABA test, as it fails on armhf. (Closes: #722007)

 -- Anton Gladky <gladk@debian.org>  Mon, 30 Sep 2013 22:43:50 +0200

mpich (3.0.4-3) unstable; urgency=low

  * [090aeef] Add Break/Replaces for libmpich1.0-dev. (Closes: #722666)
  * [abf7347] Add Break/Replaces for mpich-bin. (Closes: #722667)

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Sep 2013 19:42:55 +0200

mpich (3.0.4-2) unstable; urgency=low

  * Rename libmpich10.symbols to libmpich10.symbols.amd64.

 -- Torquil Macdonald Sørensen <torquil@gmail.com>  Fri, 06 Sep 2013 00:35:46 +0200

mpich (3.0.4-1) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Remove myself from Uploaders.

  [ Torquil Macdonald Sørensen ]
  * New upstream release.
  * Rename package to mpich.
  * Added dummy transitional packages for all except shared library package.
  * Removed unnecessary additions to clean target in rules.
  * Name change modifications to lintian-overrides, README.Debian, copyright.
  * Added NEWS file.

  [ Anton Gladky ]
  * Build pdf-files during the build-process.

 -- Torquil Macdonald Sørensen <torquil@gmail.com>  Thu, 15 Aug 2013 09:53:03 +0200

mpich2 (1.5~b1-1) unstable; urgency=low

  * New upstream (beta) release.

 -- Lucas Nussbaum <lucas@debian.org>  Mon, 04 Jun 2012 15:26:51 +0200

mpich2 (1.4.1-4.2) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches/fix_segfault.patch: New patch, fixes a segfault in
    HYDU_get_abs_wd() if the requested executable is not available, taken from
    upstream changeset 8d5444. Closes: #683226, #683217.

 -- Michael Banck <mbanck@debian.org>  Fri, 12 Apr 2013 13:46:26 +0200

mpich2 (1.4.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Enable use of gcc primitives on sparc, fixing a build failure.
    Closes: #660259.

 -- Steve Langasek <vorlon@debian.org>  Mon, 17 Dec 2012 01:06:08 +0000

mpich2 (1.4.1-4) unstable; urgency=low

  * Removed s390 from valgrind-supported arches.
  * Added to clean files list.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 02 Feb 2012 13:54:30 -0500

mpich2 (1.4.1-3) unstable; urgency=low

  [ Adam C. Powell, IV ]
  * Corrected lintian overrides for uploader name.

  [ Nobuhiro Iwamatsu ]
  * Build-Depends on valgrind only on supported arches (closes: #658066).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 02 Feb 2012 11:09:04 -0500

mpich2 (1.4.1-2) unstable; urgency=low

  * New uploader Adam C. Powell, IV -- with lintian override regarding name.
  * Link shared libraries with their dependencies (closes: #653616).
  * Add valgrind to Build-Depends for PLPA.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 26 Jan 2012 15:19:17 -0500

mpich2 (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * Removed the now unneeded fix-hwloc.patch.
  * Include new DESTDIR patch. Thanks Eric A. Borisch.
  * Also fix paths in /etc/mpich2/*.conf and /usr/bin/mpi{cc,cxx,f77,f90}.mpich.
    Also thanks Eric A. Borisch. Fixed using sed-replacements in debian/rules.
  * Improve cleaning of source directory in debian/rules.
  * Remove unneeded /usr/lib/libopa.la

 -- Torquil Macdonald Sørensen <torquil@gmail.com>  Fri, 26 Aug 2011 17:50:52 +0200

mpich2 (1.4-1) unstable; urgency=low

  * New upstream release
  * Added patch fix-hwloc.patch (upstream changeset #8696)
    to fix upstream issue #1507
  * Make mpif90 use gfortran instead of f95 (Closes: #630675)

 -- Torquil Macdonald Sørensen <torquil@gmail.com>  Tue, 19 Jul 2011 16:36:49 +0200

mpich2 (1.4~rc2-3) unstable; urgency=low

  * Add links for /usr/lib/mpich2/{include,lib}. Patch from Nicholas Breen.
    Closes: #626429
  * Bump Standards-Version to 3.9.2. No changes needed.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 20 May 2011 18:04:57 +0200

mpich2 (1.4~rc2-2) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Add Torquil Macdonald Sørensen to Uploaders.

  [ Torquil Macdonald Sørensen ]
  * Don't let Debian buildflags influence runtime MPICH2 compiler flags.
    Users must specify optimization and/or debug flags themselves when
    using mpicc, mpicxx etc, just like for gcc, g++ etc. Closes: #624349

 -- Torquil Macdonald Sørensen <torquil@gmail.com>  Fri, 06 May 2011 14:28:44 +0200

mpich2 (1.4~rc2-1) unstable; urgency=low

  * New upstream snapshot.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 09 Apr 2011 13:39:27 +0200

mpich2 (1.4~rc1-2) unstable; urgency=low

  * libmipch2-3: Add Conflicts, Replaces: libmpich2-2. A better long-term
    solution might be to split that binary package into 6(!) binary packages
    (one of each shared lib). Closes: #620206

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 31 Mar 2011 08:38:44 +0200

mpich2 (1.4~rc1-1) unstable; urgency=low

  * New upstream release.
  * A rebuild probably closes: #617283.
  * Add --with-hydra-ckpointlib=blcr to configure. Closes: #617879.
  * Renamed libmpich2-1.2 to libmpich2-3.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 29 Mar 2011 21:21:28 +0200

mpich2 (1.3.3~rc1-1) unstable; urgency=low

  * New upstream release. Closes: #576712.
  * Limit libcr-dev dependency to architectures where it is actually
    available.
  * Switch to 3.0 (quilt).

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 02 Mar 2011 08:03:23 +0100

mpich2 (1.3.2p1-1) unstable; urgency=low

  * New upstream release.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 19 Feb 2011 12:02:26 +0100

mpich2 (1.3.2-1) unstable; urgency=low

  * New upstream release. Closes: #612169.
  * Make libmpich2-dev depend on libcr-dev. Closes: #612201.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 08 Feb 2011 23:05:29 +0100

mpich2 (1.3.1-1) experimental; urgency=low

  * New upstream release.
  * Remove mpd-related patches, as we don't ship mpd anymore.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 21 Nov 2010 14:25:33 +0100

mpich2 (1.3.1~rc1-3) experimental; urgency=low

  * Enable checkpointing only on architectures that support it.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 16 Nov 2010 05:28:57 -0600

mpich2 (1.3.1~rc1-2) experimental; urgency=low

  * Re-upload with amd64 binaries.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Mon, 15 Nov 2010 14:07:42 -0600

mpich2 (1.3.1~rc1-1) experimental; urgency=low

  * New upstream version.
  * Enable checkpointing. Closes: #555714

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Mon, 15 Nov 2010 11:14:53 -0600

mpich2 (1.3-1) experimental; urgency=low

  * New upstream version.
    + Hydra is now the default PM, replacing mpd. Closes: #577638
    + Renamed libmpich2-1.2 to libmpich2-2.
  * Removed patches:
    + fPIC.patch: merged upstream, somehow
    + no-rpath.patch: now a configuration option
    + undefined-variables-in-pc.patch: merged upstream
  * Many build fixes due to the new upstream version.
  * Bump standards-version to 3.9.1. No changes needed.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 24 Oct 2010 08:10:41 +0200

mpich2 (1.2.1.1-5) unstable; urgency=low

  * Use /usr/bin/python instead of /usr/bin/python2.5. Allow to drop
    dependency on python2.5. Closes: #595268
  * Make /usr/bin/mpdroot setuid. This is the default after the installation
    of mpich2 from source, too. LP: #616929
    + Add corresponding lintian override.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 15 Sep 2010 18:13:44 +0200

mpich2 (1.2.1.1-4) unstable; urgency=low

  * Fix broken symlink for mpdsigjob. It is 'job', not 'job*s*'. LP: #570254.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 27 Apr 2010 10:34:19 +0200

mpich2 (1.2.1.1-3) unstable; urgency=medium

  * Add patches/hurd-no-SO_REUSEADDR.patch. Fix FTBFS on Hurd. Closes: #575963
  * Add patches/undefined-variables-in-pc.patch. Fix some undefined variables
    in .pc. (LP: #566822)

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 20 Apr 2010 09:36:06 +0200

mpich2 (1.2.1.1-2) unstable; urgency=medium

  * Add patch no-rpath.patch: don't set rpath. Closes: #558960.
  * Added slave alternatives symlinks for MPI FORTRAN libraries
    (Closes: #563705).

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 19 Mar 2010 21:53:47 +0100

mpich2 (1.2.1.1-1) unstable; urgency=low

  * New upstream release.
  * Support building on sh4. Closes: #565289.
  * Fix documentation about alternatives. Closes: #568237.
  * Standards-Version: 3.8.4. No changes needed.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 24 Feb 2010 11:57:03 +0100

mpich2 (1.2.1-2) unstable; urgency=low

  * Remove bashism in postinst introduced in 1.2.1-1. (fixes piuparts failure)

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 29 Nov 2009 11:44:58 +0100

mpich2 (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Fix alternatives: use the same alternatives as LAM, mpich and (from
    recently) openmpi. See #522429 for discussion.
  * Increase alternatives score to 40 (same as OpenMPI).
  * Fix FTBFS on s390 by using -fPIC instead of -fpic. Closes: #555943.
  * Remove .py binary suffix in /usr/share/mpich2/*.py.
  * Run the test suite, but ignore failures for now.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 19 Nov 2009 11:37:30 -0600

mpich2 (1.2.1~rc1-1) unstable; urgency=low

  * Add Conflicts with mpd (the Music Player Daemon). While this is not the
    "policy-correct" solution about this problem (which would be to rename
    the binaries in one or the other package), it is the solution that makes
    the most sense from the user's POV. Closes: #551932.
  * mpich2: Suggest mpich2-doc instead of Recommending it. This avoids some
    strange behaviour when installing mpich2 with LAM installed.
    Closes: #551752.
  * Fix build failure on sparc: build with --with-atomic-primitives=no.
  * Update fPIC.patch: also fix FTBFS on sparc.
  * Add sizeofOPAptr-all.patch: fix FTBFS on powerpc.
  * Run the test suite using "make testing" during build. Can be
    disabled with DEB_BUILD_OPTIONS=nocheck if it takes too much time.
  * New upstream release:
    + Drop sizeofOPAptr-all.patch, was a backport from upstream.
    + Drop fPIC.patch: fixed upstream.
    + Adds manpages for mpd*

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 11 Nov 2009 13:34:22 +0100

mpich2 (1.2-2) unstable; urgency=low

  * Upload to unstable. (Actually, 1.2-1 was already uploaded to unstable)
  * Use the quilt patch system.
  * Add fPIC.patch: build with -fPIC instead of -fpic (fix FTBFS on s390).

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Mon, 19 Oct 2009 10:44:01 +0200

mpich2 (1.2-1) experimental; urgency=low

  * Initial packaging. Closes: #420638

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 07 Oct 2009 23:11:42 +0200
